## apt-notifier 24.05.01

=== debian/changelog ===
apt-notifier (24.05.01) mx; urgency=medium

  * Fix: basic upgrade with APT::Get::Upgrade-Allow-New=false
    to prevent installing new packages.

 -- fehlix <fehlix@mxlinux.org>  Thu, 09 May 2024 15:23:52 -0400

## apt-notifier 24.09.01

=== icons/Makefile ===

PNG_DIR := .
SVG_DIR := .
BUILD   := ./build

SVGS = $(wildcard $(SVG_DIR)/*.svg)
PNGS = $(wildcard $(PNG_DIR)/*.png)

HICOLOR := $(BUILD)/icons/hicolor
HICO32  := $(HICOLOR)/32x32/apps

APPS_DIR = $(HICOLOR)/$${SIZE}x$${SIZE}/apps

ICONS = $(notdir $(basename $(SVGS)))

SIZES := 8 16 22 24 32 48 64 96 128 256

all: clean dirs pngs svgs svg2png  links

dirs:
	@echo make icons ...
	@for SIZE in $(SIZES); do mkdir -p $(APPS_DIR); done  
	@mkdir -p $(HICOLOR)/scalable

svgs:
	@for SVG in $(SVGS); do \
		echo "  " $(HICOLOR)/scalable/$$(basename $${SVG}); \
		cp $${SVG} $(HICOLOR)/scalable; \
		done  

pngs:
	@for PNG in $(PNGS); do \
		echo "  " $(HICO32)/$$(basename $${PNG}); \
		cp $${PNG} $(HICO32); done  

svg2png:
	@for SIZE in $(SIZES); do for ICON in $(ICONS); do \
		echo "  " $(APPS_DIR)/$${ICON}.png; \
		rsvg-convert -a -f png -h $${SIZE} -w $${SIZE} -o $(APPS_DIR)/$${ICON}.png $(SVG_DIR)/$${ICON}.svg 2>/dev/null; \
		done; done

links:
	@for SIZE in $(SIZES); do \
		ln -s mnotify-some-wireframe.png $(APPS_DIR)/apt-notifier.png; \
		ln -s mnotify-some-wireframe.png $(APPS_DIR)/mx-updater.png; \
		done
	@cd $(HICOLOR)/scalable && \
		ln -s mnotify-some-wireframe.svg apt-notifier.svg && \
		ln -s mnotify-some-wireframe.svg mx-updater.svg
	@cd $(BUILD)/icons && \
		ln -s hicolor/32x32/apps/*.png . && \
		ln -s hicolor/256x256/apps/mnotify-some-wireframe.png mnotify-some-wireframe-pkexec.png 

clean:
	-@rm -rf $(BUILD)

.PHONY: all dirs pngs svg2png svgs links clean

=== translations/Makefile ===
#!/usr/bin/make -f

PKGNAM := apt-notifier

BUILD  := ././build
PO_DIR := ./po
XDGDIR := ../xdg

LCMSGS := LC_MESSAGES/$(PKGNAM).mo

DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(basename $(DESKTOP_IN))))

ifneq ($(strip $(LINGUAS)),)
  LINGUAS := $(sort $(LINGUAS))
  $(file >$(PO_DIR)/LINGUAS)
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
else ifneq ($(wildcard $(PO_DIR)/LINGUAS),)
  LINGUAS := $(sort $(strip $(shell grep '^[[:space:]]*[a-z]' $(PO_DIR)/LINGUAS)))
else
  LINGUAS := $(sort $(basename $(notdir $(wildcard $(PO_DIR)/*.po))))
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
endif

LOCALE := $(addprefix $(BUILD)/locale/,$(addsuffix /$(LCMSGS),$(LINGUAS)))

all: clean locale desktop

locale: $(LOCALE)

$(BUILD)/locale/%/$(LCMSGS): $(PO_DIR)/%.po
	@mkdir -p $(BUILD)/locale/$*/LC_MESSAGES
	@echo "  " $@ 
	@msgfmt $< -o $@ 

desktop: $(DESKTOP)

$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop.in
	@mkdir -p $(BUILD)/xdg
	@echo "  " $@ 
	msgfmt --desktop --template $< -d $(PO_DIR) -o $@ 
	@sed -i '/^#/d' $@ 

clean:
	-@rm  -f $(DESKTOP)
	-@rm -rf $(BUILD)

.PHONY: all clean locale desktop

=== debian/changelog ===
apt-notifier (24.09.01) mx; urgency=medium

  * Fix: Close only current window with clicking on [x], not MX Updater.

 -- fehlix <fehlix@mxlinux.org>  Wed, 18 Sep 2024 14:46:16 -0400

=== debian/control ===
Source: apt-notifier
Section: admin
Priority: optional
Maintainer: fehlix <fehlix@mxlinux.org>
XSBC-Original-Maintainer: Kent Mathern <maintainer@mepiscommunity.org>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 13),
 librsvg2-bin (>=2.50),
Standards-Version: 4.6.2
Homepage: https://github.com/MX-Linux/apt-notifier

Package: apt-notifier
Architecture: all
Depends:
 ${misc:Depends},
 anacron,
 apt (>= 2.2.4),
 bash (>= 3.2-4),
 curl,
 gtkdialog,
 python3-ewmh,
 python3-notify2,
 python3-pyqt5,
 unattended-upgrades,
 util-linux-locales,
 xdotool,
 xfce4-terminal | x-terminal-emulator,
 yad (>= 0.40),
Recommends:
 policykit-1-gnome | lxpolkit | polkit-1-auth-agent,
 synaptic | muon
Conflicts: mepis-aptnotify
Replaces: mepis-aptnotify 
Description: tray applet to notify of system and application updates
 .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_clean:
	$(MAKE) -C icons clean
	$(MAKE) -C translations clean
	dh_auto_clean

override_dh_auto_build:
	bash scripts/build_version
	$(MAKE) -C icons
	$(MAKE) -C translations
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

override_dh_usrlocal:

override_dh_builddeb:
	dh_builddeb -- -Z xz
